/* ----------------------------------------- */
/*  Sheet Styles                             */
/* ----------------------------------------- */

@colorFaintFaint: hsl(0, 7%, 90%);
@colorFaint: hsl(60, 7%, 80%);
@colorBeige: hsl(0, 7%, 60%);
@colorTan: hsl(60, 5%, 40%);
@colorOlive: hsl(60, 5%, 30%);
@colorDark: hsl(60, 5%, 20%);
@colorHighlight: hsl(0, 60%, 40%);
@colorCrimson: hsl(0, 50%, 20%);

@borderSolid: 1px solid @colorTan;
@borderGroove: 2px groove hsl(60, 30%, 90%);
@borderRadius: 4px;

@background: url("ui/dark-metal.webp") repeat;
@sheetBackground: hsl(0, 7%, 95%);
/* @sheetBackground: url("ui/sheet-background.jpg") repeat; */

/* ----------------------------------------- */
/*  Fonts                                    */
/* ----------------------------------------- */

/* -------- Body Fonts -------- */

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 200;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-XLight.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 200;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-XLightItalic.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 300;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-Light.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 300;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-LightItalic.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 400;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-Book.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 400;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-BookItaliс.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 500;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-Medium.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 500;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-MediumItalic.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 700;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-Bold.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 700;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-BoldItalic.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 800;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-Black.otf') format('opentype');
}

@font-face {
  font-family: 'Gotham ScreenSmart Narrow';
  font-weight: 800;
  font-style: italic;
  src: url('fonts/GothamNarrSSm/GothamNarrSSm-BlackItalic.otf') format('opentype');
}

.font-body-xlight {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 200;
}

.font-body-light {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 300;
}

.font-body-regular {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 400;
}

.font-body-medium {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 500;
}

.font-body-bold {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 700;
}

.font-body-black {
  font-family: 'Gotham ScreenSmart Narrow';
  font-kerning: normal;
  font-weight: 800;
}

/* -------- Heading Fonts -------- */

@font-face {
  font-family: 'Orbitron';
  font-weight: 300;
  src: url('fonts/Orbitron/Orbitron-Light.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 500;
  src: url('fonts/Orbitron/Orbitron-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 700;
  src: url('fonts/Orbitron/Orbitron-Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 800;
  src: url('fonts/Orbitron/Orbitron-Black.ttf') format('truetype');
}

.font-heading-light {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 300;
}

.font-heading-medium {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}

.font-heading-bold {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
}

.font-heading-black {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 800;
}

/* ----------------------------------------- */
/*  Flexbox                                  */
/* ----------------------------------------- */

.flexrow {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;

  >* {
    flex: 1;
  }

  .flex1 {
    flex: 1;
  }

  .flex2 {
    flex: 2;
  }

  .flex3 {
    flex: 3;
  }

  .flex4 {
    flex: 4;
  }

  .flex5 {
    flex: 5;
  }
}

.flexcol {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;

  >* {
    flex: 1;
  }

  .flex1 {
    flex: 1;
  }

  .flex2 {
    flex: 2;
  }

  .flex3 {
    flex: 3;
  }

  .flex4 {
    flex: 4;
  }

  .flex5 {
    flex: 5;
  }
}
